#!/bin/bash

$ROOTSYS/bin/rootcint -f Bdict.C -c  -I`$ROOTSYS/bin/root-config --incdir` B.h LinkDef.h

g++ -c -I`$ROOTSYS/bin/root-config --incdir` A.cxx 
g++ -c -I`$ROOTSYS/bin/root-config --incdir` B.cxx 
g++ -c -I`$ROOTSYS/bin/root-config --incdir` Bdict.C 
gcc -shared -o libTest.so *.o

root -b << EOD
gSystem.Load("libTest.so");
B b;
b.Talk();
b.Speak();
.q
EOD
